libstdc++: std::complex< float > Class Reference

libstdc++

std::complex< float > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types
typedef __complex__ float | _ComplexT
typedef float | value_type

## Public Member Functions
constexpr | complex (_ComplexT __z)
constexpr | complex (const complex &)=default
constexpr | complex (float __r=0.0f, float __i=0.0f)
| __attribute ((__abi_tag__("cxx11"))) const expr float imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr float real() const
constexpr _ComplexT | __rep () const
template<typename _Up>
| explicit (!requires(_Up __u) { value_type{__u};}) const expr complex(const complex< _Up > &__z)
constexpr void | imag (float __val)
template<class _Tp>
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (float __f)
template<typename _Tp>
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (float __f)
template<class _Tp>
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (float __f)
template<class _Tp>
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (float __f)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp>
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (float __f)
constexpr void | real (float __val)

## Detailed Description

26.2.3 complex specializations complex<float> specialization

Definition at line 1436 of file complex.

## Member Typedef Documentation

## ◆ _ComplexT

typedef __complex__ float std::complex< float >::_ComplexT

Definition at line 1440 of file complex.

## ◆ value_type

typedef float std::complex< float >::value_type

Definition at line 1439 of file complex.

## Constructor & Destructor Documentation

## ◆ complex() [1/2]

std::complex< float >::complex | ( | _ComplexT | __z | ) |
| inlineconstexpr

Definition at line 1442 of file complex.

## ◆ complex() [2/2]

std::complex< float >::complex | ( | float | __r = 0.0f,
|  | float | __i = 0.0f )
| inlineconstexpr

Definition at line 1444 of file complex.

## Member Function Documentation

## ◆ __attribute() [1/2]

std::complex< float >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1475 of file complex.

## ◆ __attribute() [2/2]

std::complex< float >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1471 of file complex.

## ◆ __rep()

_ComplexT std::complex< float >::__rep | ( |  | ) | const
| inlineconstexpr

Definition at line 1584 of file complex.

## ◆ explicit()

template<typename _Up>

std::complex< float >::explicit | ( | !requires(_Up __u) { value_type{__u};} |  | ) | const &
| inline

Definition at line 1460 of file complex.

## ◆ imag()

void std::complex< float >::imag | ( | float | __val | ) |
| inlineconstexpr

Definition at line 1498 of file complex.

## ◆ operator*=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator*= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1568 of file complex.

## ◆ operator*=() [2/2]

complex & std::complex< float >::operator*= | ( | float | __f | ) |
| inlineconstexpr

Definition at line 1522 of file complex.

## ◆ operator+=() [1/2]

template<typename _Tp>

complex & std::complex< float >::operator+= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1552 of file complex.

## ◆ operator+=() [2/2]

complex & std::complex< float >::operator+= | ( | float | __f | ) |
| inlineconstexpr

Definition at line 1508 of file complex.

## ◆ operator-=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator-= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1560 of file complex.

## ◆ operator-=() [2/2]

complex & std::complex< float >::operator-= | ( | float | __f | ) |
| inlineconstexpr

Definition at line 1515 of file complex.

## ◆ operator/=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator/= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1577 of file complex.

## ◆ operator/=() [2/2]

complex & std::complex< float >::operator/= | ( | float | __f | ) |
| inlineconstexpr

Definition at line 1529 of file complex.

## ◆ operator=() [1/2]

template<typename _Tp>

complex & std::complex< float >::operator= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1543 of file complex.

## ◆ operator=() [2/2]

complex & std::complex< float >::operator= | ( | float | __f | ) |
| inlineconstexpr

Definition at line 1501 of file complex.

## ◆ real()

void std::complex< float >::real | ( | float | __val | ) |
| inlineconstexpr

Definition at line 1495 of file complex.

The documentation for this class was generated from the following file:

- complex